Subject: FVWM: Buglet: Off-By-One error in Menu position

From: "Martin Kraemer" <[email-masked]>
Date: Fri, 6 Oct 1995 15:44:11 +0100 (MET)

Hello

I use fvwm-pre-2.0-pl35. On a window's left button (button 0), I have bound
the usual menu (mwm-style). But the menu doesn't fit "snug" attached to the
title bar, but leaves a one-pixel row to the left and top free; the original
window contents are visible in this area. I think it would look "more
professional" (or rather "more mwm-ish") if the menu would attach directly
to the title bar (and left resize bar, respectively).

    Martin
__
Here's my config:

    Mouse 0 1       A       Menu    Window-Corner   Close

with the menu

    AddToMenu Window-Corner "Restore        Alt+F5"         Nop
    +                       "&Move          Alt+F7"         Move-or-Raise
    +                       "&Size          Alt+F8"         Resize-or-Raise
    +                       "&Lower         Alt+F3"         Lower
    +                       "Raise"                         Raise
    ....
and
    # Keyboard accelerators
    Key F3          A       M       Lower
    Key F4          A       M       Destroy
    ...
    Key F10         A       M       Maximize

This menu pops up, but it is one pixel too far down, that is:

   ++===++=======================++===++===++
   || = ||        Title          || * ||[ ]||
   ++===++=======================++===++===++
   |+--------------+ <---here's a 1 pixel space between title bar & menu
   ||Restore Alt+F5|                       ||
   ||Move    Alt+F7|                       ||
   ||Size    Alt+F8|                       ||
   ||              |                       ||
   ||              |                       ||
   ||              |                       ||
   ||              |                       ||
   |+--------------+                       ||
   |<-here, too                            ||
   ||                                      ||
   ||                                      ||
   ||                                      ||
   ++===++=======================++===++===++

-- 
| S I E M E N S |   [email-masked]   |       Siemens Nixdorf
| ------------- |   Voice: +49-89-636-46021     |   Informationssysteme AG
| N I X D O R F |   FAX:   +49-89-636-44994     |    81730 Munich, Germany
~~~~~~~~~~~~~~~~  (My opinions only, of course; pgp key available on request)
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].